Package org.xnio

# Interface ChannelDestination<T extends Channel>

Type Parameters:
  `T` - the channel type

public interface ChannelDestination<T extends Channel>
A channel destination. This is the inverse of `ChannelSource`; it is used to accept a single connection from a remote peer.

Since:
  1.2

## Method Summary

Modifier and Type
Method
Description
`IoFuture<? extends T>`
`accept(ChannelListener<? super T> openListener, ChannelListener<? super BoundChannel> bindListener)`
Accept a connection.

## Method Details

### accept

IoFuture<? extends T> accept(ChannelListener<? super T> openListener, ChannelListener<? super BoundChannel> bindListener)
Accept a connection. The bind listener will be called when the channel is bound; the open listener will be called when the connection is accepted. It is not guaranteed that the open listener will be called after the bind listener.

Parameters:
  `openListener` - the listener which will be notified when the channel is open, or `null` for none
  `bindListener` - the listener which will be notified when the channel is bound locally, or `null` for none
Returns:
  the future connection